Knowlege base

Imagicle ApplicationSuite 2019.Spring.1 setup blocks because RabbitMQ service not running

Article ID: 672
Last updated: 09 Aug, 2019
Applies from Application Suite 2017.1.1
to version Application Suite 2019.3.1

Applies to

Imagicle ApplicationSuite upgrade - 2019.Spring.1

Symptoms

Running the installer of 2019.Spring.1 could display the error message "In order to proceed with this upgrade, please make sure that RabbitMQ service is running before retrying": 

Description

When upgrading from any previous version of Imagicle Application Suite >= 2017.Winter.1, under certain circumstances (when the installer preconditions are not completely satisfied, typically when some Imagicle services have been disabled by system administrator), the upgrade of a prerequisite component (RabbitMQ) can reach a non consistent configuration status.

Thus, the setup program detects this condition and prevent the upgrade to continue.

As first attempt try to manually start the RabbitMQ service (from windows services). If the start fails continue with the following conditions.

Conditions

  1. Go inside the IAS installation dir (e.g. C:\Program Files (x86)\StonevoiceAS)
  2. Navigate in the sub folder Lib\RabbitMQ and make sure it contains sub-folders Erlang21.2 and rabbitmq_server-3.7.12

Solution

  1. Download the attached rabbit_restore_spring2019.zip file and extract it.
  2. Open a Command Prompt as Administrator on the path where you extracted the zip file.
  3. Execute rabbit_restore_spring2019.bat via command prompt and follow the instructions.
  4. If the patch have been succesfully applied you will see a message like:
    The operation completed successfully.
    Waiting for RabbitMQ Service Starting
    Once done you can Retry with Imagicle Upgrade
    
    Waiting for 30 seconds, press a key to continue ...
  5. Retry the IAS installation
Article ID: 672
Last updated: 09 Aug, 2019
Revision: 3
Views: 150
Print Export to PDF Subscribe Share
This article was:  
Attached files
file rabbit_restore_spring2019.zip (4 kb)

Prev   Next
ApplicationSuite.PreInstallTool or...     Imagicle ApplicationSuite 2019.Spring.1.H1 known problems